Internal JSON-RPC error

I just bought a new Ledger and am trying to set it up.
Getting a “Internal JSON-RPC error.” when pairing with Metamask.
I saw this was an issue several months ago, is this still a problem? Is there a workaround?

I’ve had this issue too for a few weeks now.
I can reproduce on Firefox - Chrome and on Windows and Mac OS
Metamask is in 9.6.1 and when I downgrade it to 9.6.0 it works again.